Bug 603993 - SELinux is preventing /usr/libexec/gvfs-fuse-daemon "read write" access on fuse.
Summary: SELinux is preventing /usr/libexec/gvfs-fuse-daemon "read write" access ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fe174c69fa4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 05:50 UTC by Amit Shah
Modified: 2010-07-06 17:08 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.7.19-33.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-06 17:08:31 UTC


Attachments (Terms of Use)

Description Amit Shah 2010-06-15 05:50:29 UTC
Summary:

SELinux is preventing /usr/libexec/gvfs-fuse-daemon "read write" access on fuse.

Detailed Description:

SELinux denied access requested by gvfs-fuse-daemo. It is not expected that this
access is required by gvfs-fuse-daemo and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
                              c604,c617
Target Context                system_u:object_r:fuse_device_t:s0
Target Objects                fuse [ chr_file ]
Source                        gvfs-fuse-daemo
Source Path                   /usr/libexec/gvfs-fuse-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gvfs-fuse-1.6.1-3.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-112.fc13.x86_64 #1 SMP Thu May 27
                              02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Mon 14 Jun 2010 06:42:12 PM IST
Last Seen                     Mon 14 Jun 2010 06:42:12 PM IST
Local ID                      d29660a2-39bf-4db9-9d22-11aa1c25daee
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276521132.278:24496): avc:  denied  { read write } for  pid=5741 comm="gvfs-fuse-daemo" name="fuse" dev=devtmpfs ino=8029 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c604,c617 tcontext=system_u:object_r:fuse_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1276521132.278:24496): arch=c000003e syscall=2 success=no exit=-13 a0=340561e4b7 a1=2 a2=f330 a3=8028 items=0 ppid=1 pid=5741 auid=500 uid=500 gid=501 euid=500 suid=500 fsuid=500 egid=501 sgid=501 fsgid=501 tty=(none) ses=2 comm="gvfs-fuse-daemo" exe="/usr/libexec/gvfs-fuse-daemon" subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c604,c617 key=(null)



Hash String generated from  catchall,gvfs-fuse-daemo,sandbox_web_client_t,fuse_device_t,chr_file,read,write
audit2allow suggests:

#============= sandbox_web_client_t ==============
allow sandbox_web_client_t fuse_device_t:chr_file { read write };

Comment 1 Daniel Walsh 2010-06-16 16:09:27 UTC
Miroslav add

storage_dontaudit_rw_fuse(sandbox_web_type)

Comment 2 Miroslav Grepl 2010-06-16 16:43:56 UTC
Fixed in selinux-policy-3.7.19-30.fc13

Comment 3 Fedora Update System 2010-06-30 19:54:12 UTC
selinux-policy-3.7.19-33.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13

Comment 4 Fedora Update System 2010-07-01 18:47:59 UTC
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13

Comment 5 Fedora Update System 2010-07-06 17:06:29 UTC
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.